function () 
    local spell = GetSpellInfo(230139) --hydra shot 230139
    local spell2 = GetSpellInfo(239375) --fish 239375
    local spell3 = GetSpellInfo(230214) -- tank debuff
    local star = "star" --Don't need this, isn't used anywhere
    local triangle = "triangle" --Don't need this, isn't used anywhere
    local circle = "circle" --Don't need this, isn't used anywhere
    local diamond = "diamond" --Don't need this, isn't used anywhere
    local playerName = UnitName("player")
    --These empty lines are pissing me off only because I don't do it as such
    local total = 0 --Don't need this, isn't used anywhere
    local max = 18 --Don't need this, isn't used anywhere
    local j = 0 
    
    for i=1, GetNumGroupMembers() do
        
        local name = GetRaidRosterInfo(i)
        if (not UnitDebuff(name, spell) and not UnitDebuff(name, spell2) and not UnitDebuff(name, spell3)) then
            
            if (name == playerName and j<2) then
                
                return string.format("%s", "|cffffd00cStar") --It is good habbit to close a |c with an |r (basically returns the color to it's default from |c)
                
            end
            
            if (name == playerName and j>=2 and j<5) then
                return string.format("%s", "|cff4baf1cTriangle")
                
            end
            
            if (name == playerName and j>=5 and j<8) then
                return string.format("%s", "|cfff6802cCircle")
            end
            
            if (name == playerName and j>=8 and j<11) then
                return string.format("%s", "|cfff0098cDiamond")
            end
            
            j = j+1
            
        end
        
        
    end
    
    return string.format("%s", "Whatever")
end



